2 Comments
  1. John Hodgson M.M.Inst.V. 2 years ago

    I operate now just using Premiere Pro CS3. I need to reload this
    following a computer service. Adobe says I need to provide details of previous versions I have held. I did have PP 1.5 a long time ago but threw this out. What is the point of this by Adobe?
    I bought some new underpants recently but the manufacturers
    did not want to see my old pair!

  2. admin 2 years ago

    ?

Leave a reply

Your email address will not be published. Required fields are marked *

*

©2019 copyright IoV

Contact us

We're not around right now. But you can send us an email and we'll get back to you, asap.

Sending

Log in with your credentials

or    

Forgot your details?

Create Account